/**
 *
 * fil - Foddex Image Library
 *
 * Copyright (c) 2010 Marc "Foddex" Oude Kotte
 *
 */

#ifndef __FIL_H__
#error Include fil.h first, before including fil_opengl.h
#endif

#ifdef _MSC_VER
#	ifndef __GL_H__
#	error Include gl/GL.h first, before including fil_opengl.h
#	endif
#endif

#ifndef __FIL_OPENGL_H__
#define __FIL_OPENGL_H__

FIL_API GLuint glFilLoadTexture( fil_pixels* fp, GLenum filter=GL_LINEAR, GLenum wrap_s=GL_REPEAT, GLenum wrap_t=GL_REPEAT );
FIL_API GLuint glFilLoadTexture( char* image_data, size_t bytes, const std::string& format, unsigned int ppflags=0, GLenum filter=GL_LINEAR, GLenum wrap_s=GL_REPEAT, GLenum wrap_t=GL_REPEAT );
FIL_API GLuint glFilLoadTexture( const std::string& filename, unsigned int ppflags=0, GLenum filter=GL_LINEAR, GLenum wrap_s=GL_REPEAT, GLenum wrap_t=GL_REPEAT );

#endif
